Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024677
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-09-03 12:072013-09-17 19:02
ReporternaiaramartinezView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revision93ee9377d01e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024677: When using a datasource based table the linked items are not shown correctly

Descriptionwhen creating a window that uses datasource, then linked items are not shown correctly.
Steps To ReproduceCreate a datasource that has, for example, m_product_id field.
Create a window with that datasource.
Go to Product window and see linked items, you will see the attached error.
TagsNo tags attached.
Attached Filespng file icon IMG_03092013_112221.png [^] (138,121 bytes) 2013-09-03 12:07

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060975)
hgbot (developer)
2013-09-09 13:46

Repository: erp/devel/pi
Changeset: 93ee9377d01ee3afd34dc7630e11eb658aa1708a
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Sep 09 16:08:58 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/93ee9377d01ee3afd34dc7630e11eb658aa1708a [^]

Fixes Issue 0024677 : Error in linked item when using datasource based tables

Linked items is currently calculated through sql and so datasource based tables are not supported yet.
Added code to only fetch tables with dataorigintype 'Table'.

---
M src/org/openbravo/erpCommon/utility/UsedByLink.java
M src/org/openbravo/erpCommon/utility/UsedByLink_data.xsql
---
(0061116)
AugustoMauch (developer)
2013-09-12 18:22

Code reviewed and verified in pi@74a1c5d100ae
(0061229)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-03 12:07 naiaramartinez New Issue
2013-09-03 12:07 naiaramartinez Assigned To => AugustoMauch
2013-09-03 12:07 naiaramartinez File Added: IMG_03092013_112221.png
2013-09-03 12:07 naiaramartinez Modules => Core
2013-09-03 12:07 naiaramartinez Triggers an Emergency Pack => No
2013-09-03 12:10 AugustoMauch Summary When using java datasource, then linked items are not shown correctly => When using a datasource based table the linked items are not shown correctly
2013-09-04 10:10 AugustoMauch Assigned To AugustoMauch => shankarb
2013-09-04 10:19 Sandrahuguet Issue Monitored: Sandrahuguet
2013-09-04 10:23 AugustoMauch Issue End Monitor: Sandrahuguet
2013-09-05 15:58 jpcalvente Issue Monitored: jpcalvente
2013-09-09 13:45 shankarb Review Assigned To => AugustoMauch
2013-09-09 13:45 shankarb Issue Monitored: AugustoMauch
2013-09-09 13:46 hgbot Checkin
2013-09-09 13:46 hgbot Note Added: 0060975
2013-09-09 13:46 hgbot Status new => resolved
2013-09-09 13:46 hgbot Resolution open => fixed
2013-09-09 13:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/93ee9377d01ee3afd34dc7630e11eb658aa1708a [^]
2013-09-12 18:22 AugustoMauch Note Added: 0061116
2013-09-12 18:22 AugustoMauch Status resolved => closed
2013-09-12 18:22 AugustoMauch Fixed in Version => 3.0MP28
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061229


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker